<html>
<head>
	<title>SE Code of Ethics</title>
</head>
<body>
	<h1>Software Engineering Code of Ethics and Professional Practices</h1>

	<h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Prcatices</h3>

	<hr>
    <P><strong>Keywords:</strong> code of ethics, profesional responsibility, software engineering</P>

    <h3>PREAMBLE</h3>
    
    <p>The short version of the code summarize aspiration at a high level of abstraction. The clause that are include in the full version give examples and details of how these aspirations change the way we act as software
    <br>
    engineering professionals. Without the aspirations, the details can become legalistics and tedious; without thr details can become high-sounding but empty; together, the aspirations and the details form a
    <br>
    cohesive code.
    </p>

    <p>Software engineers shall commit themselves to making the analysis, specification, design development. testing, and maintinance of the sofware a beneficial and professional. In accordnace with their commitment to
    <br>
    the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles:
    </p>
    <h3>PRINCIPLES</h3>

    <ol>
    	<li><em>Public.</em> Software engineers shall act consistently with the public interest.</li>
    	<li><em>Client and employer.</em> Software engineers shall act in a manner taht in the best interest of their client and employer, consistent with the public interest.</li>
    	<li><em>Product.</em> Software engineers shall ensure that their products and related modifications meet the highest professional standards possible</li>
    	<li><em>Judgment.</em> Software engineers shall maintain integrity and independent in their professional judgment</li>
    	<li><em>Management.</em> Software engineers managers and leaders shall subcribe to and promote an eithical approach to the management of the software development and maintenance.</li>
    	<li><em>Profession.</em> Software engineers shall advance the integrity and reputation of the profession consist with the interest</li>
    	<li><em>Colleagues.</em> Software engineers shall be fair to and supportive of the their colleagues.</li>
    	<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their professional and shall promote an eithical approach to the practice of the profession.</li>
    </ol>
</body>
</html>